Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.rules
Class RulesToReteTranslator

    java.lang.Object
      org.mindswap.pellet.rules.RulesToReteTranslator

    public class RulesToReteTranslator

extends java.lang.Object

Title: Rules To Rete Translator

Description: Translates from the rules package rule objects to the rete package rules.

Copyright: Copyright (c) 2007

Company: Clark & Parsia, LLC.

Author:
  Ron Alford

Constructor Summary
`RulesToReteTranslator(ABox abox)`

Method Summary
`TermTuple` | `translateAtom(RuleAtom atom, DependencySet ds)` Translates a rule atom into a rete triple.
`Pair<Term,DependencySet>` | `translateAtomObject(AtomObject obj)` Return a pair of a term, and a dependency set.
`java.util.List<TermTuple>` | `translateAtoms(java.util.Collection<RuleAtom> atoms, DependencySet ds)` Translates a list of rule atoms into rete triples.
`Rule` | `translateRule(Rule rule)` Translates a rule.Rule to a rete.Rule.
`java.util.Collection<Rule>` | `translateRules(java.util.Collection<Rule> rules)` Translates a list of rule.Rule to rete.Rule, ignoring any rules that can't be translated.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RulesToReteTranslator

    public RulesToReteTranslator(ABox abox)

Method Detail

### translateAtom

    public TermTuple translateAtom(RuleAtom atom,
                                   DependencySet ds)

  Translates a rule atom into a rete triple. Returns null if the atom can't be translated.

### translateAtomObject

    public Pair<Term,DependencySet> translateAtomObject(AtomObject obj)

  Return a pair of a term, and a dependency set. The dependency set will be non-null if the atom object represented a constant which was merged to another node.

### translateAtoms

    public java.util.List<TermTuple> translateAtoms(java.util.Collection<RuleAtom> atoms,
                                                    DependencySet ds)

  Translates a list of rule atoms into rete triples. Returns null if an atom can't be translated.

### translateRule

    public Rule translateRule(Rule rule)

  Translates a rule.Rule to a rete.Rule. Returns null if the rule cannot be translated.

### translateRules

    public java.util.Collection<Rule> translateRules(java.util.Collection<Rule> rules)

  Translates a list of rule.Rule to rete.Rule, ignoring any rules that can't be translated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.